* {
    font-family: poppins;
    font-size: 20px;
}

#style_external {
    color: blue;
    letter-spacing: 5px;
    text-transform: uppercase;
}

.offering-item {
    text-transform: uppercase;
}

/* Attribute Selector */
/* tagname[attribute] */
input[required] {
    /* border-width: 2px;
    border-style: solid;
    border-color: navy; */

    /* shorthand of the above code*/
    border: 2px solid navy;
}

button {
    padding: 15px;
    border-radius: 30px;
}

h3 + img {
    height: 300px;
    width: 300px;
    border-radius: 150px;
}

/* Adjacent Selector */
#bootcamp-learning-list li {
    color: #3cbbb1;
}

/* General Sibling Selector */
h2 ~ a {
    text-decoration: none;
}

/* Child Selector */
body > section > form > label {
    color: green;
}


/* Priority in order */
/* 
    1.) ID Selector (highest)
    2.) Class Selector
    3.) Attribute Selector
    4.) Type Selector
    5.) Universal Selector (lowest)

    Take note of '!important' property in css to override tha priority order
*/

/* CSS Selector Combinator - selects all elements with specified relation */
/* 
    Adjacent Sibling Selector
        + -> sibling_element + target_element (must be a children element of a parent element)

    Descendant Selector
        "whitespace" -> ancestor_element descendant_element

    General Sibling Selector
        ~ -> sibling_element ~ target_element (as long as in the same parent, kahit di magkasunod inside)

    Child Selector
        > -> parent_element > child_element (under of the parent element)

    Multiple Selector
        , -> element1, element2, element3

*/